{% load static %}
{% load crispy_forms_tags %}
<script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
<form novalidate id="create-form" action="{% url 'sale_create' %}" method="post" enctype="multipart/form-data">
    {% csrf_token %}
    {{ create_form|crispy }}
</form>


{% load static %}

    <link rel="stylesheet" href="{% static 'select2/css/select2.css' %}">
    <script type="application/javascript" src="{% static 'select2/js/select2.full.js' %}"></script>
    <link rel="stylesheet" href="{% static 'select2/bootstrap/select2-bootstrap.css' %}">
    <script type="application/javascript" src="{% static 'custom/js/disable_numberfield_scroll.js' %}"></script>
    <script>


        // Костыль что бы понять есть ли у пользователя филиал или нет
        // Идея в том что в джанго форме есть поле которое заполняется по умолчанию, поле saled_by_departament
        // Для того что бы валидировать это поле стандартными средствами нужно что бы поле было в форме
        // Но т.к это поле должно автозаполнятся и валидироваться то принято решение скрывать его с помощью jq
        $('#id_saled_by_departament').hide()
        $('label[for=id_saled_by_departament]').hide()

        // Не работает меню аккаунта в этом шаблоне.
        // Костыль который делает это сам
        $(document).ready(function () {
            $('#userDropdown').click(function(){
            $('div[aria-labelledby=userDropdown]').addClass('show')
            $('#navItemDropDown').addClass('show')
        })
        })

        $("#id_tutor1").select2({
        theme: 'bootstrap',
        placeholder: 'Начните вводить',
        allowClear: true,
        dropdownParent: $("#createModal")
    });

        $("#id_tutor2").select2({
        theme: 'bootstrap',
        placeholder: 'Начните вводить',
        allowClear: true,
        dropdownParent: $("#createModal")
    });

        $('#id_tutor1').on('select2:select', function (e) {
        var data = e.params.data;
        ajaxGetGroupsByTutor(data.id, $("#id_departament1").val(), 1)
    });

        $('#id_tutor2').on('select2:select', function (e) {
        var data = e.params.data;
        ajaxGetGroupsByTutor(data.id, $("#id_departament2").val(), 2)
    });

        $('#id_client').on('select2:select', function (e) {
            let client = e.params.data
            ajaxGetLastAbon(client.id)
            ajaxGetLastPromotion(client.id)
        })

    // SEARCH CONTROL

    </script>

<script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
<script src="{% static 'sb_admin/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
<script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
<link rel="stylesheet" href="{% static 'custom/css/bootstrap-multiselect.css' %}">
<script src="{% static 'custom/js/bootstrap-multiselect.js' %}"></script>
<script src="{% static 'custom/js/sales/formLogic.js' %}"></script>